// $Id: GPL.cpp,v 1.2 2003-03-21 00:52:35 geuzaine Exp $
//
// Copyright (C) 1997-2003 C. Geuzaine, J.-F. Remacle
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
// 
// Please report all bugs and problems to "gmsh@geuz.org".

#include "Gmsh.h"

void print_gpl(void)
{
  Msg(DIRECT, "		    GNU GENERAL PUBLIC LICENSE");
  Msg(DIRECT, "		       Version 2, June 1991");
  Msg(DIRECT, "");
  Msg(DIRECT, " Copyright (C) 1989, 1991 Free Software Foundation, Inc.");
  Msg(DIRECT, "                       59 Temple Place, Suite 330, Boston, MA  02111-1307  USA");
  Msg(DIRECT, " Everyone is permitted to copy and distribute verbatim copies");
  Msg(DIRECT, " of this license document, but changing it is not allowed.");
  Msg(DIRECT, "");
  Msg(DIRECT, "			    Preamble");
  Msg(DIRECT, "");
  Msg(DIRECT, "  The licenses for most software are designed to take away your");
  Msg(DIRECT, "freedom to share and change it.  By contrast, the GNU General Public");
  Msg(DIRECT, "License is intended to guarantee your freedom to share and change free");
  Msg(DIRECT, "software--to make sure the software is free for all its users.  This");
  Msg(DIRECT, "General Public License applies to most of the Free Software");
  Msg(DIRECT, "Foundation's software and to any other program whose authors commit to");
  Msg(DIRECT, "using it.  (Some other Free Software Foundation software is covered by");
  Msg(DIRECT, "the GNU Library General Public License instead.)  You can apply it to");
  Msg(DIRECT, "your programs, too.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  When we speak of free software, we are referring to freedom, not");
  Msg(DIRECT, "price.  Our General Public Licenses are designed to make sure that you");
  Msg(DIRECT, "have the freedom to distribute copies of free software (and charge for");
  Msg(DIRECT, "this service if you wish), that you receive source code or can get it");
  Msg(DIRECT, "if you want it, that you can change the software or use pieces of it");
  Msg(DIRECT, "in new free programs; and that you know you can do these things.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  To protect your rights, we need to make restrictions that forbid");
  Msg(DIRECT, "anyone to deny you these rights or to ask you to surrender the rights.");
  Msg(DIRECT, "These restrictions translate to certain responsibilities for you if you");
  Msg(DIRECT, "distribute copies of the software, or if you modify it.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  For example, if you distribute copies of such a program, whether");
  Msg(DIRECT, "gratis or for a fee, you must give the recipients all the rights that");
  Msg(DIRECT, "you have.  You must make sure that they, too, receive or can get the");
  Msg(DIRECT, "source code.  And you must show them these terms so they know their");
  Msg(DIRECT, "rights.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  We protect your rights with two steps: (1) copyright the software, and");
  Msg(DIRECT, "(2) offer you this license which gives you legal permission to copy,");
  Msg(DIRECT, "distribute and/or modify the software.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  Also, for each author's protection and ours, we want to make certain");
  Msg(DIRECT, "that everyone understands that there is no warranty for this free");
  Msg(DIRECT, "software.  If the software is modified by someone else and passed on, we");
  Msg(DIRECT, "want its recipients to know that what they have is not the original, so");
  Msg(DIRECT, "that any problems introduced by others will not reflect on the original");
  Msg(DIRECT, "authors' reputations.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  Finally, any free program is threatened constantly by software");
  Msg(DIRECT, "patents.  We wish to avoid the danger that redistributors of a free");
  Msg(DIRECT, "program will individually obtain patent licenses, in effect making the");
  Msg(DIRECT, "program proprietary.  To prevent this, we have made it clear that any");
  Msg(DIRECT, "patent must be licensed for everyone's free use or not licensed at all.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  The precise terms and conditions for copying, distribution and");
  Msg(DIRECT, "modification follow.");
  Msg(DIRECT, "");
  Msg(DIRECT, "		    GNU GENERAL PUBLIC LICENSE");
  Msg(DIRECT, "   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION");
  Msg(DIRECT, "");
  Msg(DIRECT, "  0. This License applies to any program or other work which contains");
  Msg(DIRECT, "a notice placed by the copyright holder saying it may be distributed");
  Msg(DIRECT, "under the terms of this General Public License.  The \"Program\", below,");
  Msg(DIRECT, "refers to any such program or work, and a \"work based on the Program\"");
  Msg(DIRECT, "means either the Program or any derivative work under copyright law:");
  Msg(DIRECT, "that is to say, a work containing the Program or a portion of it,");
  Msg(DIRECT, "either verbatim or with modifications and/or translated into another");
  Msg(DIRECT, "language.  (Hereinafter, translation is included without limitation in");
  Msg(DIRECT, "the term \"modification\".)  Each licensee is addressed as \"you\".");
  Msg(DIRECT, "");
  Msg(DIRECT, "Activities other than copying, distribution and modification are not");
  Msg(DIRECT, "covered by this License; they are outside its scope.  The act of");
  Msg(DIRECT, "running the Program is not restricted, and the output from the Program");
  Msg(DIRECT, "is covered only if its contents constitute a work based on the");
  Msg(DIRECT, "Program (independent of having been made by running the Program).");
  Msg(DIRECT, "Whether that is true depends on what the Program does.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  1. You may copy and distribute verbatim copies of the Program's");
  Msg(DIRECT, "source code as you receive it, in any medium, provided that you");
  Msg(DIRECT, "conspicuously and appropriately publish on each copy an appropriate");
  Msg(DIRECT, "copyright notice and disclaimer of warranty; keep intact all the");
  Msg(DIRECT, "notices that refer to this License and to the absence of any warranty;");
  Msg(DIRECT, "and give any other recipients of the Program a copy of this License");
  Msg(DIRECT, "along with the Program.");
  Msg(DIRECT, "");
  Msg(DIRECT, "You may charge a fee for the physical act of transferring a copy, and");
  Msg(DIRECT, "you may at your option offer warranty protection in exchange for a fee.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  2. You may modify your copy or copies of the Program or any portion");
  Msg(DIRECT, "of it, thus forming a work based on the Program, and copy and");
  Msg(DIRECT, "distribute such modifications or work under the terms of Section 1");
  Msg(DIRECT, "above, provided that you also meet all of these conditions:");
  Msg(DIRECT, "");
  Msg(DIRECT, "    a) You must cause the modified files to carry prominent notices");
  Msg(DIRECT, "    stating that you changed the files and the date of any change.");
  Msg(DIRECT, "");
  Msg(DIRECT, "    b) You must cause any work that you distribute or publish, that in");
  Msg(DIRECT, "    whole or in part contains or is derived from the Program or any");
  Msg(DIRECT, "    part thereof, to be licensed as a whole at no charge to all third");
  Msg(DIRECT, "    parties under the terms of this License.");
  Msg(DIRECT, "");
  Msg(DIRECT, "    c) If the modified program normally reads commands interactively");
  Msg(DIRECT, "    when run, you must cause it, when started running for such");
  Msg(DIRECT, "    interactive use in the most ordinary way, to print or display an");
  Msg(DIRECT, "    announcement including an appropriate copyright notice and a");
  Msg(DIRECT, "    notice that there is no warranty (or else, saying that you provide");
  Msg(DIRECT, "    a warranty) and that users may redistribute the program under");
  Msg(DIRECT, "    these conditions, and telling the user how to view a copy of this");
  Msg(DIRECT, "    License.  (Exception: if the Program itself is interactive but");
  Msg(DIRECT, "    does not normally print such an announcement, your work based on");
  Msg(DIRECT, "    the Program is not required to print an announcement.)");
  Msg(DIRECT, "");
  Msg(DIRECT, "These requirements apply to the modified work as a whole.  If");
  Msg(DIRECT, "identifiable sections of that work are not derived from the Program,");
  Msg(DIRECT, "and can be reasonably considered independent and separate works in");
  Msg(DIRECT, "themselves, then this License, and its terms, do not apply to those");
  Msg(DIRECT, "sections when you distribute them as separate works.  But when you");
  Msg(DIRECT, "distribute the same sections as part of a whole which is a work based");
  Msg(DIRECT, "on the Program, the distribution of the whole must be on the terms of");
  Msg(DIRECT, "this License, whose permissions for other licensees extend to the");
  Msg(DIRECT, "entire whole, and thus to each and every part regardless of who wrote it.");
  Msg(DIRECT, "");
  Msg(DIRECT, "Thus, it is not the intent of this section to claim rights or contest");
  Msg(DIRECT, "your rights to work written entirely by you; rather, the intent is to");
  Msg(DIRECT, "exercise the right to control the distribution of derivative or");
  Msg(DIRECT, "collective works based on the Program.");
  Msg(DIRECT, "");
  Msg(DIRECT, "In addition, mere aggregation of another work not based on the Program");
  Msg(DIRECT, "with the Program (or with a work based on the Program) on a volume of");
  Msg(DIRECT, "a storage or distribution medium does not bring the other work under");
  Msg(DIRECT, "the scope of this License.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  3. You may copy and distribute the Program (or a work based on it,");
  Msg(DIRECT, "under Section 2) in object code or executable form under the terms of");
  Msg(DIRECT, "Sections 1 and 2 above provided that you also do one of the following:");
  Msg(DIRECT, "");
  Msg(DIRECT, "    a) Accompany it with the complete corresponding machine-readable");
  Msg(DIRECT, "    source code, which must be distributed under the terms of Sections");
  Msg(DIRECT, "    1 and 2 above on a medium customarily used for software interchange; or,");
  Msg(DIRECT, "");
  Msg(DIRECT, "    b) Accompany it with a written offer, valid for at least three");
  Msg(DIRECT, "    years, to give any third party, for a charge no more than your");
  Msg(DIRECT, "    cost of physically performing source distribution, a complete");
  Msg(DIRECT, "    machine-readable copy of the corresponding source code, to be");
  Msg(DIRECT, "    distributed under the terms of Sections 1 and 2 above on a medium");
  Msg(DIRECT, "    customarily used for software interchange; or,");
  Msg(DIRECT, "");
  Msg(DIRECT, "    c) Accompany it with the information you received as to the offer");
  Msg(DIRECT, "    to distribute corresponding source code.  (This alternative is");
  Msg(DIRECT, "    allowed only for noncommercial distribution and only if you");
  Msg(DIRECT, "    received the program in object code or executable form with such");
  Msg(DIRECT, "    an offer, in accord with Subsection b above.)");
  Msg(DIRECT, "");
  Msg(DIRECT, "The source code for a work means the preferred form of the work for");
  Msg(DIRECT, "making modifications to it.  For an executable work, complete source");
  Msg(DIRECT, "code means all the source code for all modules it contains, plus any");
  Msg(DIRECT, "associated interface definition files, plus the scripts used to");
  Msg(DIRECT, "control compilation and installation of the executable.  However, as a");
  Msg(DIRECT, "special exception, the source code distributed need not include");
  Msg(DIRECT, "anything that is normally distributed (in either source or binary");
  Msg(DIRECT, "form) with the major components (compiler, kernel, and so on) of the");
  Msg(DIRECT, "operating system on which the executable runs, unless that component");
  Msg(DIRECT, "itself accompanies the executable.");
  Msg(DIRECT, "");
  Msg(DIRECT, "If distribution of executable or object code is made by offering");
  Msg(DIRECT, "access to copy from a designated place, then offering equivalent");
  Msg(DIRECT, "access to copy the source code from the same place counts as");
  Msg(DIRECT, "distribution of the source code, even though third parties are not");
  Msg(DIRECT, "compelled to copy the source along with the object code.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  4. You may not copy, modify, sublicense, or distribute the Program");
  Msg(DIRECT, "except as expressly provided under this License.  Any attempt");
  Msg(DIRECT, "otherwise to copy, modify, sublicense or distribute the Program is");
  Msg(DIRECT, "void, and will automatically terminate your rights under this License.");
  Msg(DIRECT, "However, parties who have received copies, or rights, from you under");
  Msg(DIRECT, "this License will not have their licenses terminated so long as such");
  Msg(DIRECT, "parties remain in full compliance.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  5. You are not required to accept this License, since you have not");
  Msg(DIRECT, "signed it.  However, nothing else grants you permission to modify or");
  Msg(DIRECT, "distribute the Program or its derivative works.  These actions are");
  Msg(DIRECT, "prohibited by law if you do not accept this License.  Therefore, by");
  Msg(DIRECT, "modifying or distributing the Program (or any work based on the");
  Msg(DIRECT, "Program), you indicate your acceptance of this License to do so, and");
  Msg(DIRECT, "all its terms and conditions for copying, distributing or modifying");
  Msg(DIRECT, "the Program or works based on it.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  6. Each time you redistribute the Program (or any work based on the");
  Msg(DIRECT, "Program), the recipient automatically receives a license from the");
  Msg(DIRECT, "original licensor to copy, distribute or modify the Program subject to");
  Msg(DIRECT, "these terms and conditions.  You may not impose any further");
  Msg(DIRECT, "restrictions on the recipients' exercise of the rights granted herein.");
  Msg(DIRECT, "You are not responsible for enforcing compliance by third parties to");
  Msg(DIRECT, "this License.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  7. If, as a consequence of a court judgment or allegation of patent");
  Msg(DIRECT, "infringement or for any other reason (not limited to patent issues),");
  Msg(DIRECT, "conditions are imposed on you (whether by court order, agreement or");
  Msg(DIRECT, "otherwise) that contradict the conditions of this License, they do not");
  Msg(DIRECT, "excuse you from the conditions of this License.  If you cannot");
  Msg(DIRECT, "distribute so as to satisfy simultaneously your obligations under this");
  Msg(DIRECT, "License and any other pertinent obligations, then as a consequence you");
  Msg(DIRECT, "may not distribute the Program at all.  For example, if a patent");
  Msg(DIRECT, "license would not permit royalty-free redistribution of the Program by");
  Msg(DIRECT, "all those who receive copies directly or indirectly through you, then");
  Msg(DIRECT, "the only way you could satisfy both it and this License would be to");
  Msg(DIRECT, "refrain entirely from distribution of the Program.");
  Msg(DIRECT, "");
  Msg(DIRECT, "If any portion of this section is held invalid or unenforceable under");
  Msg(DIRECT, "any particular circumstance, the balance of the section is intended to");
  Msg(DIRECT, "apply and the section as a whole is intended to apply in other");
  Msg(DIRECT, "circumstances.");
  Msg(DIRECT, "");
  Msg(DIRECT, "It is not the purpose of this section to induce you to infringe any");
  Msg(DIRECT, "patents or other property right claims or to contest validity of any");
  Msg(DIRECT, "such claims; this section has the sole purpose of protecting the");
  Msg(DIRECT, "integrity of the free software distribution system, which is");
  Msg(DIRECT, "implemented by public license practices.  Many people have made");
  Msg(DIRECT, "generous contributions to the wide range of software distributed");
  Msg(DIRECT, "through that system in reliance on consistent application of that");
  Msg(DIRECT, "system; it is up to the author/donor to decide if he or she is willing");
  Msg(DIRECT, "to distribute software through any other system and a licensee cannot");
  Msg(DIRECT, "impose that choice.");
  Msg(DIRECT, "");
  Msg(DIRECT, "This section is intended to make thoroughly clear what is believed to");
  Msg(DIRECT, "be a consequence of the rest of this License.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  8. If the distribution and/or use of the Program is restricted in");
  Msg(DIRECT, "certain countries either by patents or by copyrighted interfaces, the");
  Msg(DIRECT, "original copyright holder who places the Program under this License");
  Msg(DIRECT, "may add an explicit geographical distribution limitation excluding");
  Msg(DIRECT, "those countries, so that distribution is permitted only in or among");
  Msg(DIRECT, "countries not thus excluded.  In such case, this License incorporates");
  Msg(DIRECT, "the limitation as if written in the body of this License.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  9. The Free Software Foundation may publish revised and/or new versions");
  Msg(DIRECT, "of the General Public License from time to time.  Such new versions will");
  Msg(DIRECT, "be similar in spirit to the present version, but may differ in detail to");
  Msg(DIRECT, "address new problems or concerns.");
  Msg(DIRECT, "");
  Msg(DIRECT, "Each version is given a distinguishing version number.  If the Program");
  Msg(DIRECT, "specifies a version number of this License which applies to it and \"any");
  Msg(DIRECT, "later version\", you have the option of following the terms and conditions");
  Msg(DIRECT, "either of that version or of any later version published by the Free");
  Msg(DIRECT, "Software Foundation.  If the Program does not specify a version number of");
  Msg(DIRECT, "this License, you may choose any version ever published by the Free Software");
  Msg(DIRECT, "Foundation.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  10. If you wish to incorporate parts of the Program into other free");
  Msg(DIRECT, "programs whose distribution conditions are different, write to the author");
  Msg(DIRECT, "to ask for permission.  For software which is copyrighted by the Free");
  Msg(DIRECT, "Software Foundation, write to the Free Software Foundation; we sometimes");
  Msg(DIRECT, "make exceptions for this.  Our decision will be guided by the two goals");
  Msg(DIRECT, "of preserving the free status of all derivatives of our free software and");
  Msg(DIRECT, "of promoting the sharing and reuse of software generally.");
  Msg(DIRECT, "");
  Msg(DIRECT, "			    NO WARRANTY");
  Msg(DIRECT, "");
  Msg(DIRECT, "  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY");
  Msg(DIRECT, "FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN");
  Msg(DIRECT, "OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES");
  Msg(DIRECT, "PROVIDE THE PROGRAM \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED");
  Msg(DIRECT, "OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF");
  Msg(DIRECT, "MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS");
  Msg(DIRECT, "TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE");
  Msg(DIRECT, "PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,");
  Msg(DIRECT, "REPAIR OR CORRECTION.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING");
  Msg(DIRECT, "WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR");
  Msg(DIRECT, "REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,");
  Msg(DIRECT, "INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING");
  Msg(DIRECT, "OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED");
  Msg(DIRECT, "TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY");
  Msg(DIRECT, "YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER");
  Msg(DIRECT, "PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE");
  Msg(DIRECT, "POSSIBILITY OF SUCH DAMAGES.");
  Msg(DIRECT, "");
  Msg(DIRECT, "		     END OF TERMS AND CONDITIONS");
  Msg(DIRECT, "");
  Msg(DIRECT, "	    How to Apply These Terms to Your New Programs");
  Msg(DIRECT, "");
  Msg(DIRECT, "  If you develop a new program, and you want it to be of the greatest");
  Msg(DIRECT, "possible use to the public, the best way to achieve this is to make it");
  Msg(DIRECT, "free software which everyone can redistribute and change under these terms.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  To do so, attach the following notices to the program.  It is safest");
  Msg(DIRECT, "to attach them to the start of each source file to most effectively");
  Msg(DIRECT, "convey the exclusion of warranty; and each file should have at least");
  Msg(DIRECT, "the \"copyright\" line and a pointer to where the full notice is found.");
  Msg(DIRECT, "");
  Msg(DIRECT, "    <one line to give the program's name and a brief idea of what it does.>");
  Msg(DIRECT, "    Copyright (C) <year>  <name of author>");
  Msg(DIRECT, "");
  Msg(DIRECT, "    This program is free software; you can redistribute it and/or modify");
  Msg(DIRECT, "    it under the terms of the GNU General Public License as published by");
  Msg(DIRECT, "    the Free Software Foundation; either version 2 of the License, or");
  Msg(DIRECT, "    (at your option) any later version.");
  Msg(DIRECT, "");
  Msg(DIRECT, "    This program is distributed in the hope that it will be useful,");
  Msg(DIRECT, "    but WITHOUT ANY WARRANTY; without even the implied warranty of");
  Msg(DIRECT, "    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the");
  Msg(DIRECT, "    GNU General Public License for more details.");
  Msg(DIRECT, "");
  Msg(DIRECT, "    You should have received a copy of the GNU General Public License");
  Msg(DIRECT, "    along with this program; if not, write to the Free Software");
  Msg(DIRECT, "    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA");
  Msg(DIRECT, "");
  Msg(DIRECT, "");
  Msg(DIRECT, "Also add information on how to contact you by electronic and paper mail.");
  Msg(DIRECT, "");
  Msg(DIRECT, "If the program is interactive, make it output a short notice like this");
  Msg(DIRECT, "when it starts in an interactive mode:");
  Msg(DIRECT, "");
  Msg(DIRECT, "    Gnomovision version 69, Copyright (C) year name of author");
  Msg(DIRECT, "    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.");
  Msg(DIRECT, "    This is free software, and you are welcome to redistribute it");
  Msg(DIRECT, "    under certain conditions; type `show c' for details.");
  Msg(DIRECT, "");
  Msg(DIRECT, "The hypothetical commands `show w' and `show c' should show the appropriate");
  Msg(DIRECT, "parts of the General Public License.  Of course, the commands you use may");
  Msg(DIRECT, "be called something other than `show w' and `show c'; they could even be");
  Msg(DIRECT, "mouse-clicks or menu items--whatever suits your program.");
  Msg(DIRECT, "");
  Msg(DIRECT, "You should also get your employer (if you work as a programmer) or your");
  Msg(DIRECT, "school, if any, to sign a \"copyright disclaimer\" for the program, if");
  Msg(DIRECT, "necessary.  Here is a sample; alter the names:");
  Msg(DIRECT, "");
  Msg(DIRECT, "  Yoyodyne, Inc., hereby disclaims all copyright interest in the program");
  Msg(DIRECT, "  `Gnomovision' (which makes passes at compilers) written by James Hacker.");
  Msg(DIRECT, "");
  Msg(DIRECT, "  <signature of Ty Coon>, 1 April 1989");
  Msg(DIRECT, "  Ty Coon, President of Vice");
  Msg(DIRECT, "");
  Msg(DIRECT, "This General Public License does not permit incorporating your program into");
  Msg(DIRECT, "proprietary programs.  If your program is a subroutine library, you may");
  Msg(DIRECT, "consider it more useful to permit linking proprietary applications with the");
  Msg(DIRECT, "library.  If this is what you want to do, use the GNU Library General");
  Msg(DIRECT, "Public License instead of this License.");
}
